Install MT5 on Linux Mint problem with proxy server

To add comments, please log in or register
studioBuzzi
23
studioBuzzi  

Hi I'm install mt5 both on windows 7 pro on Virtual Machine (VM) hosted in Linux Mint notebook and straigth on linux Mint 17.3 Rosa.

On VM it's oll OK, but on Linux it's impossible to install because ask proxy but I don't use a proxy.

This problem stop installer. It's know in Internet but I don't found a solution!

It's possible

Marco vd Heijden
Moderator
8173
Marco vd Heijden  

Yes please install Mono and Gecko

Muhammad Syamil Bin Abdullah
1304
Muhammad Syamil Bin Abdullah  

Also it might be helpful to install this :

winetricks winhttp

studioBuzzi
23
studioBuzzi  
Marco vd Heijden:

Yes please install Mono and Gecko

Don't work. Ask always if I have a proxy.
studioBuzzi
23
studioBuzzi  
Muhammad Syamil Bin Abdullah:

Also it might be helpful to install this :

winetricks winhttp

It's the same! don't work. Which parameters do ypu use for winhttp? Maibe because MT5 it's a 32 bit software and I have a 64bit Linux?!

I had read article about install MT5/4 on Ubuntu but it's obsolete.

Sergey Golubev
Moderator
106122
Sergey Golubev  

Please find the posts which I collected - 

---------------- 

Linux

Forum on trading, automated trading systems and testing trading strategies

How to Start with Metatrader 5

Sergey Golubev, 2017.02.05 06:32

MT5 with Linux:  "a debugger has been found running in your system" error fixing.

Read this post for more information. 

Forum on trading, automated trading systems and testing trading strategies

Examples: MetaTrader 4 on Linux

Damos, 2016.07.17 10:41

Is working with devel version 

1. uninstall old version

sudo apt-get autoremove wine 

2. and after do:

sudo dpkg --add-architecture i386 

Add the repository:

sudo add-apt-repository ppa:wine/wine-builds

Update packages:

sudo apt-get update

Then install (example for the development branch):

sudo apt-get install --install-recommends winehq-devel


If apt-get complains about missing dependencies, install them, then repeat the last two steps (update and install). 


I am not sure that it helps in your situation but who knows ...
Sergey Golubev
Moderator
106122
Sergey Golubev  

Also - read this thread Cannot install Metatrader 5 about winhttp and so on

Forum on trading, automated trading systems and testing trading strategies

Cannot install Metatrader 5

Rafal Wieczorek, 2016.06.12 23:39

You need to install winhttp library to support downloading files from HTTPS sites. If you're using winetricks, install by:

winetricks winhttp


Sergey Golubev
Moderator
106122
Sergey Golubev  

The last one (I am sorry - I am not a specialist for Linux so if you find something usefull related to the posts I found so it is good):

Forum on trading, automated trading systems and testing trading strategies

New MetaTrader 5 build 1525: Representing trading history as positions and tester improvements

Sergey Golubev, 2017.01.31 20:12

This message?


There is thread in russian part of the forum - this thread, and you can read it using in-build online translator which is located above every post there (you can select your language for example):


So, they found the decision to fix it: they found this small article and followed all the steps and everything was fixed.
If you can not fix so make a post to this russian thread and users of rus part of the forum will help I hope.


Marco vd Heijden
Moderator
8173
Marco vd Heijden  
studioBuzzi:
Don't work. Ask always if I have a proxy.

If that is the case your doing something wrong.

It's not Metatrader, it's not Linux, it is you.

There are many topics on how to solve this issue.

I just tried it and no problem.

Muhammad Syamil Bin Abdullah
1304
Muhammad Syamil Bin Abdullah  
Профиль продавца: новый комментарий к профилю продавца '2635266206'
Muhammad Syamil Bin Abdullah
1304
Muhammad Syamil Bin Abdullah  
Ок, нет проблем и мт5. Не всегда в кучу, бывают и хєдж счета
Install Metatrader 5 on Ubuntu 17.04
Install Metatrader 5 on Ubuntu 17.04
  • stackoverflow.com
I try to install Metatrader 5, on Ubuntu 17.04 (64-bit). I get stuck, and need somebody to help me to solve this problem. I've installed wine-2.0.1, which is the latest stable version at the moment, and it's for 64-bit. Finally, after successfully installing Metatrader 5, on launching the...
12
To add comments, please log in or register